Name:		keychain
Summary:	Agent manager for OpenSSH, ssh.com, Sun SSH, and GnuPG
Version:	2.8.5
Release:    2%{?dist}
License:	GPLv2
URL:		https://www.funtoo.org/Keychain
Source0:	https://github.com/funtoo/keychain/archive/%{version}/keychain-%{version}.tar.gz
Source1:	keychain.sh
Source2:	keychain.csh
Source3:	README
BuildArch:	noarch
Requires:   findutils

Conflicts:	kde-settings < 4.2-3
Conflicts:	zsh < 4.3.4-7

%description
Keychain is a manager for OpenSSH, ssh.com, Sun SSH and GnuPG agents.
It acts as a front-end to the agents, allowing you to easily have one
long-running agent process per system, rather than per login session.
This dramatically reduces the number of times you need to enter your
passphrase from once per new login session to once every time your
local machine is rebooted.

%prep
%setup -q
sed -i -e 's|/usr/ucb:||' keychain

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
mkdir -p %{buildroot}%{_mandir}/man1
install -pm 755 keychain %{buildroot}%{_bindir}/keychain
install -pm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/profile.d/keychain.sh
install -pm 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/profile.d/keychain.csh
install -pm 644 keychain.1 %{buildroot}%{_mandir}/man1
install -pm 644 %{SOURCE3} README

%files
%doc COPYING.txt ChangeLog README.md README
%config(noreplace) %{_sysconfdir}/profile.d/keychain.sh
%config(noreplace) %{_sysconfdir}/profile.d/keychain.csh
%{_bindir}/keychain
%{_mandir}/man1/keychain.1*

%changelog
* Tue Aug 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.5-2
- bump version

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.5-1
- initial build
